﻿body {
    box-sizing: border-box;
    margin: auto;
    font-family: B Nazanin;
    direction: rtl;
    padding-right: 150px;
}

h1 {
    color: Blue;
    font-family: 'B Nazanin';
}

.green-text {
    color: green;
    font-size: 250%;
}

.container {
    max-width: 100%;
    margin: 0 auto;
}

.col4 {
    -webkit-column-count: 4;
    -webkit-column-gap: 10px;
    -moz-column-count: 4;
    -moz-column-gap: 10px;
    column-count: 4;
    column-gap: 10px;
}

.left {
    max-width: 25%;
}

.slider {
    -webkit-appearance: none; /* Override default CSS styles */
    appearance: none;
    width: 100%; /* Full-width */
    height: 25px; /* Specified height */
    background: #d3d3d3; /* Grey background */
    outline: none; /* Remove outline */
    opacity: 0.7; /* Set transparency (for mouse-over effects on hover) */
    -webkit-transition: .2s; /* 0.2 seconds transition on hover */
    transition: opacity .2s;
}

    .slider::-webkit-slider-thumb {
        -webkit-appearance: none; /* Override default look */
        appearance: none;
        width: 25px; /* Set a specific slider handle width */
        height: 25px; /* Slider handle height */
        background: #04AA6D; /* Green background */
        cursor: pointer; /* Cursor on hover */
    }

.book1 {
    font-family: 'B Nazanin';
    font-size: x-large;
    font-weight: bold;
    color: darkviolet;
    text-align: right;
}

.p1 {
    font-family: 'B Nazanin';
    font-size: xx-large;
    font-weight: bold;
    color: darkviolet;
    text-align: right;
}

.p3 {
    font-family: 'B Nazanin';
    font-size: large;
    color: blue;
    text-align: right;
}

.p2 {
    font-family: 'B Nazanin';
    font-size: x-large;
    font-weight: bold;
    color: blue;
    text-align: right;
}

.pc {
    font-family: 'B Nazanin';
    font-size: x-large;
    font-weight: bold;
    color: blue;
    text-align: center;
}

.strategy_mainscriptdiv {
    position: absolute;
    height: 100px;
    left: 0;
    top: 44px;
    background-color: #f6f6f6;
    display: none;
    font-size: 13px;
    overflow-x: hidden;
    overflow-y: auto;
    padding: 8px;
    z-index: 99;
    width: 220px;
    -webkit-box-shadow: 0 0 10px #fff;
    box-shadow: 0 8px 18px #a2a2a2;
}

.highlight {
    background - color: #dcdcdc; /* Or any color for highlight */

    cursor: pointer;
}

.slideshow-container {
    max-width: 100%;
    position: relative;
    margin: auto;
    text-align: center;
}

.mySlides {
    display: none;
    text-align: center;
}

.fade {
    -webkit-animation-name: fade;
    -webkit-animation-duration: 5s;
    animation-name: fade;
    animation-duration: 5s;
}

.text {
    color: #f2f2f2;
    font-size: 15px;
    padding: 8px 12px;
    position: absolute;
    bottom: 8px;
    width: 100%;
    text-align: center;
}

/* Number text (1/3 etc) */
.numbertext {
    color: #f2f2f2;
    font-size: 12px;
    padding: 8px 12px;
    position: absolute;
    top: 0;
}

/* The dots/bullets/indicators */
.active {
    background-color: aqua;
}

.dot {
    height: 15px;
    width: 15px;
    margin: 0 2px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
}

.ui-autocomplete {
    max-height: 100px;
    overflow-y: auto;
    prevent horizontal scrollbar overflow-x: hidden;
}

.submenu {
    z-index: 9999; /* IE8 FIX for asp:Menu */
}

/* Style the caret/arrow */
.caret {
    cursor: pointer;
    user-select: none; /* Prevent text selection */
}

    /* Create the caret/arrow with a unicode, and style it */
    .caret::before {
        content: "\25B6";
        color: black;
        display: inline-block;
        margin-right: 6px;
    }

/* Rotate the caret/arrow icon when clicked on (using JavaScript) */
.caret-down::before {
    transform: rotate(90deg);
}

/* Hide the nested list */
.nested {
    display: none;
}

/* Show the nested list when the user clicks on the caret/arrow (with JavaScript) */
.active {
    display: block;
}

.navbar {
    background-color: aliceblue;
    overflow: visible;
    display: flex;
    justify-content: center; /* Align items horizontally */
}

    .navbar a {
        float: none; /* Remove float property */
        color: darkviolet;
        text-align: center;
        padding: 14px 16px;
        text-decoration: solid;
        font-size: 20px;
    }

        .navbar a:hover {
            background-color: aquamarine;
            color: black;
        }

            .navbar a:hover > ul.sub-menu {
                display: block !important;
                visibility: unset !important;
            }

.adjustedZIndex {
    z-index: 1;
}
/*از اینجا به بعد بکار جدی گرفتم*/
.alertText {
    color: red;
    font-family: 'B Nazanin';
    font-size: 20px;
}

.ccell {
    text-align: center;
    font-family: 'B Nazanin';
    font-size: 20px;
    color: blue;
}

.rcell {
    text-align: right;
    font-family: 'B Nazanin';
    font-size: 20px;
    color: blue;
}

.lcell {
    text-align: left;
    font-family: 'B Nazanin';
    font-size: 20px;
    color: blue;
}

.Hmenu, .Hmenu ul { /*remove the bullets from the dropdown ul as well*/
    font-family: 'B Nazanin';
    margin: 0;
    padding: 0;
    list-style-type: none;
    height: 25px;
}

    .Hmenu li {
        font-family: 'B Nazanin';
        float: right;
        padding: 0px 0px 0px 0px;
        width: 90px;
        position: relative /*set position:relative as the start point for absolutely positioning the dropdown*/
    }

        .Hmenu li a {
            font-family: 'B Nazanin';
            font-size: 20px;
            display: block;
            text-align: center;
            color: white;
            text-decoration: none;
            background-color: darkviolet;
            border: 1px solid white;
            height: 37px
        }

            .Hmenu li a:hover, .Hmenu li span:hover {
                color: white;
            }

        .Hmenu li ul {
            display: none; /*hide the dropdown*/
            position: absolute; /*position it absolutely..*/
            left: 0; /*...align the left edge with the left edge of the parent li...*/
            top: 37px; /*...and 32px down from the top - 30px height + 2px for the border*/
            height: 25px
        }

            .Hmenu li ul li ul {
                display: none; /*hide the dropdown*/
                position: absolute; /*position it absolutely..*/
                left: -130px; /*...align the left edge with the left edge of the parent li...*/
                top: 0px; /*...and 32px down from the top - 30px height + 2px for the border*/
                height: 25px
            }

            .Hmenu li ul li {
                width: 90px;
                text-align: center;
                color: white;
                text-decoration: none;
                background-color: darkviolet;
                border: 1px solid white;
                position: relative; /*position it absolutely..*/
                left: 0; /*...align the left edge with the left edge of the parent li...*/
                background-color: darkviolet;
            }

                .Hmenu li ul li ul li {
                    display: none;
                    width: 120px;
                    left: -90px;
                }

        .Hmenu li:hover ul {
            display: block /*display the ul when the parent li is hovered*/
        }

        .Hmenu li ul li:hover ul li {
            display: block; /*display the ul when the parent li is hovered*/
        }


        .Hmenu li ul a {
            background-color: darkviolet /*give the dropdown a different background colour*/
        }

.Vmenu, .Vmenu ul {
    font-family: 'B Nazanin';
    margin: 0;
    padding: 0;
    list-style-type: none;
}

    .Vmenu li ul {
        position: absolute;
        left: -90px;
        top: 0px;
    }

        .Vmenu li ul li ul {
            display: none;
            position: absolute;
            left: -100px;
            top: 0px;
        }

    .Vmenu li {
        font-family: 'B Nazanin';
        padding: 0px 0px 0px 0px;
        width: 90px;
        position: relative;
        background-color: darkviolet;
        font-family: 'B Nazanin';
        font-size: 20px;
        text-align: center;
        color: white;
        text-decoration: none;
        border: 1px solid white;
    }

        .Vmenu li ul li {
            display: none;
            width: 90px;
            background-color: hotpink;
        }

            .Vmenu li ul li ul li {
                display: none;
                width: auto;
                background-color: violet;
            }

        .Vmenu li a {
            color: white;
        }

        .Vmenu li ul li a {
            display: none;
        }

        .Vmenu li a:hover {
            color: Yellow;
        }
        .Vmenu li:hover ul li {
            display: block;
        }

        .Vmenu li ul li:hover ul li {
            display: block;
        }
        .Vmenu li ul li:hover ul {
            display: block;
        }
